summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgcomm-11
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2003-02-14 15:21:28 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:09:48 +0200
commitcf8bc20ab56a6520addf1dcffbd8860565a3304e (patch)
tree4b806e5f19bda06645ea1ca4aa188711161dedaf /gettext-tools/tests/msgcomm-11
parent33afda8fb2d1141096b737217ed40b4412c13175 (diff)
downloadexternal_gettext-cf8bc20ab56a6520addf1dcffbd8860565a3304e.zip
external_gettext-cf8bc20ab56a6520addf1dcffbd8860565a3304e.tar.gz
external_gettext-cf8bc20ab56a6520addf1dcffbd8860565a3304e.tar.bz2
Move tests/msgcomm-11 to gettext-tools/tests/msgcomm-11.
Diffstat (limited to 'gettext-tools/tests/msgcomm-11')
-rwxr-xr-xgettext-tools/tests/msgcomm-1165
1 files changed, 65 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgcomm-11 b/gettext-tools/tests/msgcomm-11
new file mode 100755
index 0000000..b5cbbf6
--- /dev/null
+++ b/gettext-tools/tests/msgcomm-11
@@ -0,0 +1,65 @@
+#! /bin/sh
+
+# Test that --more-than=1 drops entries which occur only once.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles mcomm-test11.in1 mcomm-test11.in2"
+cat <<EOF > mcomm-test11.in1
+msgid ""
+msgstr ""
+"Project-Id-Version: GNU one 1.2.3\n"
+"POT-Creation-Date: 2000-12-11 20:49+0100\n"
+"PO-Revision-Date: 2000-03-18 15:25+01:00\n"
+"Last-Translator: Karl Eichwalder <ke@suse.de>\n"
+"Language-Team: German <de@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=iso-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: first.c:123
+msgid "1"
+msgstr "1x"
+
+#: first.c:123
+msgid "2"
+msgstr "2x"
+EOF
+
+cat <<EOF > mcomm-test11.in2
+msgid ""
+msgstr ""
+"Project-Id-Version: GNU one 1.2.3\n"
+"POT-Creation-Date: 2000-12-11 20:49+0100\n"
+"PO-Revision-Date: 2000-03-18 15:25+01:00\n"
+"Last-Translator: Karl Eichwalder <ke@suse.de>\n"
+"Language-Team: German <de@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=iso-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: hunt.c:759
+msgid "1"
+msgstr ""
+EOF
+
+tmpfiles="$tmpfiles mcomm-test11.out"
+: ${MSGCOMM=msgcomm}
+${MSGCOMM} --more-than=1 --no-location --omit-header -o mcomm-test11.out \
+ mcomm-test11.in1 mcomm-test11.in2
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles mcomm-test11.ok"
+cat << EOF > mcomm-test11.ok
+msgid "1"
+msgstr "1x"
+EOF
+
+: ${DIFF=diff}
+${DIFF} mcomm-test11.ok mcomm-test11.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result